Bug 66311 - compress seems to stop after 2GB in big files
compress seems to stop after 2GB in big files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncompress (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-07 10:33 EDT by David Stevenson
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 07:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Stevenson 2002-06-07 10:33:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; Q312461)

Description of problem:
compress appears to stop compressing after 2GB for large files.  The file size 
started at 4GB, but when uncompressing it only comes up to about 2GB.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Use oracle export and import facility.
2.  Set oracle environment
3.  compress < file.dmp > file.dmp.Z &
4.  exp username/password file=file.dmp full=y
5.  uncompress < file.dmp.Z > file.dmp &
6.  imp username/password file=file.dmp show=yes
	

Actual Results:  After 4:  Export terminated successfully without warnings
After 6:
IMP-0009 - Abnormal end of export file
Import terminated successfully with warnings (which is oracle-sleak for 'it 
failed'!

Expected Results:  Import terminated successfully

Additional info:

doing a 'strings' on the export file shows that no further data was stored 
after the 2GB limit.  I suspect that this is a similar bug to that in 
the 'find' command that comes with the RedHat 7.2 release (now fixed)
Comment 1 David Stevenson 2002-06-07 11:31:44 EDT
A workaround, of course, is to use gzip, which appears to be ok, although I 
haven't done the full tests yet.  However I guess that compres, being 
a 'proper' utility, should work properly.
Comment 2 Trond Eivind Glomsrxd 2002-06-12 15:02:50 EDT
Happens to me,too... working on a fix.
Comment 3 Jeff Johnson 2004-08-23 07:33:03 EDT
Fixed in latest ncompress.

Note You need to log in before you can comment on or make changes to this bug.